| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Num::Func3d2dBase::ComponentFunction2 Class Reference

Class that represents a scalar function of 2 variables that is the first component of the specified 3D vector function of 2 variables. More...

Inheritance diagram for IG::Num::Func3d2dBase::ComponentFunction2:
[legend]
Collaboration diagram for IG::Num::Func3d2dBase::ComponentFunction2:
[legend]

List of all members.

## Public Member Functions
| ComponentFunction2 (IFunc3d2d func)
override double | Value (double x, double y)
| Calculates and returns value of the current 2D scalar function.
override void | Gradient (double x, double y, out double gradx, out double grady)
| Calculates gradient of the current 2D scalar function and returns its components through the specified output variables.
override void | Hessian (double x, double y, out double dxx, out double dyy, out double dxy)
| Calculates Hessian of the current 2D scalar function and returns its component through the specified output variables.

## Detailed Description

Class that represents a scalar function of 2 variables that is the first component of the specified 3D vector function of 2 variables.

## Constructor & Destructor Documentation

IG::Num::Func3d2dBase::ComponentFunction2::ComponentFunction2 | ( | IFunc3d2d | func | ) | `[inline]`

## Member Function Documentation

override double IG::Num::Func3d2dBase::ComponentFunction2::Value | ( | double | x,
|  | double | y
| ) |  | `[inline]`

Calculates and returns value of the current 2D scalar function.

Parameters:

  x | First parameter.
  y | Second parameter.
  z | Third parameter.

Implements IG::Num::IFunc2d.

override void IG::Num::Func3d2dBase::ComponentFunction2::Gradient | ( | double | x,
|  | double | y,
|  | out double | gradx,
|  | out double | grady
| ) |  | `[inline]`

Calculates gradient of the current 2D scalar function and returns its components through the specified output variables.

Parameters:

  x | First parameter.
  y | Second parameter.
  z | Third parameter.
  gradx | First component of the returned gradient.
  grady | Second component of the returned gradient.
  gradz | Third component of the returned gradient.

Implements IG::Num::IFunc2d.

override void IG::Num::Func3d2dBase::ComponentFunction2::Hessian | ( | double | x,
|  | double | y,
|  | out double | dxx,
|  | out double | dyy,
|  | out double | dxy
| ) |  | `[inline]`

Calculates Hessian of the current 2D scalar function and returns its component through the specified output variables.

Parameters:

  x | First parameter.
  y | Second parameter.
  dxx | Component 1-1 of the calculated Hessian.
  dyy | Component 2-2 of the calculated Hessian.
  dxy | Component 1-2 of the calculated Hessian.

Implements IG::Num::IFunc2d.

The documentation for this class was generated from the following file:

- Function3d2d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events